## slurm-wlm-contrib 22.05.8

=== alps_tests/parse_nodelist/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = parse-nodelist
MAIN   = main.c

# PROGRAMS
CC = gcc
RM = rm -vf

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps
HEADERS	= $(wildcard $(INCDIR)/*.h)

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat
CFLAGS += -g

# suffix rules
%.o : %.c $(INCDIR)/nodespec.h
	$(CC) $(CFLAGS) -c $< -o $@

test-demonstration: list-tests prefix-tests
test-all: whitespace-tests list-tests

whitespace-tests: $(TARGET)
	./$< "" ' ' '	'
	./$< ',' '	,	' ',,,,,'
	./$< '  1' '1 , 2	, 3' '1 - 2' '1 -2' '1- 2' '1-2 ,'
	./$< a1 1a -1 1--2 1-a 1-2a 3-4-5
	./$< ',,, 123 , 12-13,14-12, ,'
	./$< 4294967295 4294967296 4294967297

list-tests: $(TARGET)
	./$< 2-4,7-9,1-5
	./$< 3-4,6-8,1-8
	./$< 3-4,6-8,12-15,1-10
	./$< 3-4,6-8,11-21,1-15

prefix-tests: $(TARGET)
	./$< nid00012-nid00018,nid00033
	./$< nid00012-18,33
	./$< nid00001-100

$(TARGET): $(MAIN) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c) $(HEADERS)
	$(MAKE) -C $(dir $(ALPSLIB))

.PHONY: clean all

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean

=== debian/changelog ===
slurm-wlm-contrib (22.05.8-4+deb12u2) bookworm-security; urgency=medium

  * Fix CVE-2023-49933, CVE-2023-49936, CVE-2023-49937, CVE-2023-49938
    (Closes: #1062264)

 -- Gennaro Oliva <oliva@debian.org>  Sat, 03 Feb 2024 10:52:11 +0100

slurm-wlm-contrib (22.05.8-4+deb12u1) bookworm-security; urgency=medium

  * Fix CVE-2023-41914

 -- Gennaro Oliva <oliva@debian.org>  Sat, 14 Oct 2023 02:11:20 +0200

slurm-wlm-contrib (22.05.8-4) unstable; urgency=medium

  * Align version with the free release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 10 May 2023 00:26:39 +0200

slurm-wlm-contrib (22.05.8-3) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Feb 2023 08:46:45 +0100

slurm-wlm-contrib (22.05.8-2) unstable; urgency=medium

  * New upstream release
  * Add nvml plugin to slurm-wlm

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 25 Jan 2023 22:30:47 +0100

=== debian/control ===
Source: slurm-wlm-contrib
Section: contrib/admin
Priority: optional
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Build-Depends:
 debhelper (>= 11),
 libmunge-dev,
 libncurses-dev,
 po-debconf,
 python3,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 hdf5-helpers,
 libfreeipmi-dev,
 libhdf5-dev,
 man2html,
 libcurl4-openssl-dev,
 libpmix-dev,
 libhttp-parser-dev,
 libyaml-dev,
 libjson-c-dev,
 libjwt-dev,
 liblz4-dev,
 bash-completion,
 libdbus-1-dev,
 librocm-smi-dev,
 libnvidia-ml-dev,
Standards-Version: 4.6.2
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

Package: slurm-wlm-nvml-plugin
Section: contrib/libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Enhances: slurmd (= ${binary:Version})
Description: SLURM NVML plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Nvidia NVML-based SLURM plugin.

Package: slurm-wlm-nvml-plugin-dev
Section: contrib/devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-nvml-plugin (= ${binary:Version}),
 libnvidia-ml-dev,
Description: SLURM NVML plugin development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains development files for the Nvidia NVML-based
 SLURM plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_TARGET_ARCH_BITS),64)
  ENABLEDEPRECATED = --enable-deprecated
endif

%:
	dh $@ --builddirectory --with bash-completion

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep

override_dh_auto_build:
	dh_auto_build -Dobj-$(DEB_BUILD_GNU_TYPE)/src/plugins/gpu/common
	dh_auto_build -Dobj-$(DEB_BUILD_GNU_TYPE)/src/plugins/gpu/nvml

override_dh_shlibdeps:
	dh_shlibdeps -O--builddirectory -O--parallel -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm-wlm/

override_dh_auto_install:
	dh_auto_install -Dobj-$(DEB_BUILD_GNU_TYPE)/src/plugins/gpu/nvml

override_dh_strip:
	dh_strip -pslurm-wlm-nvml-plugin
	strip --verbose --strip-unneeded --remove-section=.comment \
		--remove-section=.note debian/slurm-*-plugin*-dev/usr/lib/*/slurm-wlm/*.a

## slurm-wlm-contrib 23.02.3

=== debian/changelog ===
slurm-wlm-contrib (23.02.3-2.1ubuntu1) mantic; urgency=medium

  * Update exact version dependency on slurm-wlm-nvml-plugin-dev since we
    introduced a delta in slurm-wlm (LP: #2029200)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 01 Aug 2023 09:23:58 +0200

slurm-wlm-contrib (23.02.3-2.1) unstable; urgency=medium

  * Binary uoload for contrib

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 11 Jul 2023 22:46:44 +0200

slurm-wlm-contrib (23.02.3-2) unstable; urgency=medium

  * Align version with the free release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 02 Jul 2023 23:32:40 +0200

slurm-wlm-contrib (23.02.3-1) unstable; urgency=medium

  * New upstream version 23.02.3 (Closes: #1036682)
  * Bump debhelper compatibility level to 13

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 27 Jun 2023 23:38:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: slurm-wlm-contrib
 Section: contrib/admin
 Priority: optional
-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 13),
  libmunge-dev,
  libncurses-dev,
  po-debconf,
@@ -32,6 +33,7 @@
  liblz4-dev,
  bash-completion,
  libdbus-1-dev,
+ librdkafka-dev,
  librocm-smi-dev,
  libnvidia-ml-dev,
 Standards-Version: 4.6.2
@@ -45,8 +47,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- slurm-wlm-basic-plugins (= ${binary:Version})
-Enhances: slurmd (= ${binary:Version})
+ slurm-wlm-basic-plugins (= 23.02.3-2ubuntu1)
+Enhances: slurmd (= 23.02.3-2)
 Description: SLURM NVML plugins
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -59,7 +61,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- slurm-wlm-basic-plugins-dev (= ${binary:Version}),
+ slurm-wlm-basic-plugins-dev (= 23.02.3-2ubuntu1),
  slurm-wlm-nvml-plugin (= ${binary:Version}),
  libnvidia-ml-dev,
 Description: SLURM NVML plugin development files

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh $@ --builddirectory --with bash-completion
 
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=
 
 override_dh_auto_build:
 	dh_auto_build -Dobj-$(DEB_BUILD_GNU_TYPE)/src/plugins/gpu/common
@@ -33,3 +33,5 @@
 	dh_strip -pslurm-wlm-nvml-plugin
 	strip --verbose --strip-unneeded --remove-section=.comment \
 		--remove-section=.note debian/slurm-*-plugin*-dev/usr/lib/*/slurm-wlm/*.a
+
+override_dh_missing:

## slurm-wlm-contrib 23.02.6

=== debian/changelog ===
slurm-wlm-contrib (23.02.6-1ubuntu2) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Update exact version dependency on slurm-wlm-nvml-plugin-dev since we
      introduced a delta in slurm-wlm

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:59:06 +0200

slurm-wlm-contrib (23.02.6-1) unstable; urgency=medium

  * New upstream release fixes CVE-2023-41914

 -- Gennaro Oliva <oliva@debian.org>  Thu, 12 Oct 2023 14:23:30 +0200

slurm-wlm-contrib (23.02.5-1) unstable; urgency=medium

  * New upstream release 23.02.5

 -- Gennaro Oliva <oliva@debian.org>  Sun, 01 Oct 2023 23:56:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: slurm-wlm-contrib
 Section: contrib/admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
+Maintainer: Gennaro Oliva <oliva@debian.org>
 Build-Depends:
  debhelper (>= 13),
  libmunge-dev,
@@ -47,7 +46,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- slurm-wlm-basic-plugins (= 23.02.3-2ubuntu1)
+ slurm-wlm-basic-plugins (= 23.02.6-1ubuntu2)
 Enhances: slurmd (= 23.02.3-2)
 Description: SLURM NVML plugins
  SLURM, the Simple Linux Utility for Resource Management,
@@ -61,7 +60,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- slurm-wlm-basic-plugins-dev (= 23.02.3-2ubuntu1),
+ slurm-wlm-basic-plugins-dev (= 23.02.6-1ubuntu2),
  slurm-wlm-nvml-plugin (= ${binary:Version}),
  libnvidia-ml-dev,
 Description: SLURM NVML plugin development files

## slurm-wlm-contrib 23.11.7

=== debian/changelog ===
slurm-wlm-contrib (23.11.7-2) unstable; urgency=medium

  * Fix basic plugins version dependency (Closes: #1072209)
    kudos for Gianfranco Costamagna

 -- Gennaro Oliva <oliva@debian.org>  Thu, 30 May 2024 21:59:13 +0200

slurm-wlm-contrib (23.11.7-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Wed, 22 May 2024 23:24:00 +0200

slurm-wlm-contrib (23.11.6-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Sun, 12 May 2024 16:32:20 +0200

slurm-wlm-contrib (23.11.4-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Tue, 27 Feb 2024 21:13:24 +0100

slurm-wlm-contrib (23.11.3-1) unstable; urgency=medium

  * New upstream major release

 -- Gennaro Oliva <oliva@debian.org>  Fri, 09 Feb 2024 12:26:14 +0100

## slurm-wlm-contrib 24.05.1

=== debian/changelog ===
slurm-wlm-contrib (24.05.1-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Mon, 22 Jul 2024 09:42:48 +0200

## slurm-wlm-contrib 24.05.2

=== debian/changelog ===
slurm-wlm-contrib (24.05.2-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Tue, 06 Aug 2024 10:01:13 +0200

slurm-wlm-contrib (24.05.1-2) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva@debian.org>  Thu, 25 Jul 2024 07:33:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/admin
 Priority: optional
 Maintainer: Gennaro Oliva <oliva@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper (>= 13),
  libmunge-dev,
  libncurses-dev,
@@ -24,7 +24,7 @@
  libhdf5-dev,
  man2html,
  libcurl4-openssl-dev,
- libpmix-dev,
+ libpmix-dev [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64],
  libhttp-parser-dev,
  libyaml-dev,
  libjson-c-dev,
@@ -35,7 +35,8 @@
  librdkafka-dev,
  librocm-smi-dev,
  libnvidia-ml-dev,
-Standards-Version: 4.6.2
+ bc,
+Standards-Version: 4.7.0
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
@@ -46,8 +47,9 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- slurm-wlm-basic-plugins (= 23.02.6-1ubuntu2)
-Enhances: slurmd (= 23.02.3-2)
+ slurm-wlm-basic-plugins (>= ${upstream:currentVersion}),
+ slurm-wlm-basic-plugins (<< ${upstream:nextVersion})
+Enhances: slurmd (>= ${upstream:currentVersion})
 Description: SLURM NVML plugins
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -60,8 +62,9 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- slurm-wlm-basic-plugins-dev (= 23.02.6-1ubuntu2),
- slurm-wlm-nvml-plugin (= ${binary:Version}),
+ slurm-wlm-basic-plugins-dev (>= ${upstream:currentVersion}),
+ slurm-wlm-basic-plugins-dev (<< ${upstream:nextVersion}),
+ slurm-wlm-nvml-plugin (>= ${source:Version}),
  libnvidia-ml-dev,
 Description: SLURM NVML plugin development files
  SLURM, the Simple Linux Utility for Resource Management,

## slurm-wlm-contrib 24.11.0

=== debian/changelog ===
slurm-wlm-contrib (24.11.0-2) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva@debian.org>  Tue, 24 Dec 2024 08:40:17 +0100

slurm-wlm-contrib (24.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Sun, 15 Dec 2024 02:41:44 +0100

slurm-wlm-contrib (24.05.4-1) unstable; urgency=medium

  * New upstream release 

 -- Gennaro Oliva <oliva@debian.org>  Wed, 06 Nov 2024 23:41:29 +0100

## slurm-wlm-contrib 24.11.1

=== debian/changelog ===
slurm-wlm-contrib (24.11.1-1) unstable; urgency=medium

  * New upstream release 

 -- Gennaro Oliva <oliva@debian.org>  Wed, 29 Jan 2025 22:57:27 +0100

## slurm-wlm-contrib 24.11.3

=== debian/changelog ===
slurm-wlm-contrib (24.11.3-2) unstable; urgency=medium

  * New slurm-wlm release

 -- Gennaro Oliva <oliva@debian.org>  Thu, 13 Mar 2025 21:42:03 +0100

slurm-wlm-contrib (24.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Tue, 11 Mar 2025 23:04:56 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  liblua5.1-0-dev,
  libhwloc-dev,
  dh-exec,
- librrd-dev,
  libipmimonitoring-dev,
  hdf5-helpers,
  libfreeipmi-dev,

## slurm-wlm-contrib 24.11.5

=== debian/changelog ===
slurm-wlm-contrib (24.11.5-4) unstable; urgency=medium

  * Bump standard version to 4.7.2 (no changes)

 -- Gennaro Oliva <oliva@debian.org>  Mon, 14 Jul 2025 23:21:11 +0200

slurm-wlm-contrib (24.11.5-3) unstable; urgency=medium

  * Align version with the free release

 -- Gennaro Oliva <oliva@debian.org>  Fri, 27 Jun 2025 16:25:07 +0200

slurm-wlm-contrib (24.11.5-2) unstable; urgency=medium

  * Binary upload for contrib

 -- Gennaro Oliva <oliva@debian.org>  Fri, 13 Jun 2025 09:36:50 +0200

slurm-wlm-contrib (24.11.5-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Tue, 20 May 2025 15:30:57 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  librocm-smi-dev,
  libnvidia-ml-dev,
  bc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

=== debian/watch ===
version=4
opts="uversionmangle=s/-1$//;s/\-/./g" \
  https://github.com/SchedMD/slurm/tags .*/slurm-([\d-]*)\.tar\.gz

## slurm-wlm-contrib 25.05.4

=== debian/changelog ===
slurm-wlm-contrib (25.05.4-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch file to version 5
  * Update patches
  * Update d/copyright
  * Remove d/compat

 -- Gennaro Oliva <oliva@debian.org>  Mon, 27 Oct 2025 23:00:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Gennaro Oliva <oliva@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper (>= 13),
+ debhelper-compat (= 13),
  libmunge-dev,
  libncurses-dev,
  po-debconf,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/default.mk
+MINOR=$(lastword $(subst ., ,$(DEB_VERSION_UPSTREAM)))
+NEXTMINOR=$(shell echo $(MINOR)+1| bc)
+NEXTVERSION=$(patsubst %$(MINOR),%$(NEXTMINOR),$(DEB_VERSION_UPSTREAM))
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
 
@@ -13,11 +18,15 @@
   ENABLEDEPRECATED = --enable-deprecated
 endif
 
+# PMIX is now only available on 64-bit systems
+PMIX_ARCH:= amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64
+PMIX:=    $(if $(filter $(DEB_TARGET_ARCH), $(PMIX_ARCH)), --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2, )
+
 %:
 	dh $@ --builddirectory --with bash-completion
 
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=
+	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd $(PMIX) --with-pam_dir=/usr/lib/$(DEB_HOST_MULTIARCH)/security $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
 
 override_dh_auto_build:
 	dh_auto_build -Dobj-$(DEB_BUILD_GNU_TYPE)/src/plugins/gpu/common
@@ -35,3 +44,6 @@
 		--remove-section=.note debian/slurm-*-plugin*-dev/usr/lib/*/slurm-wlm/*.a
 
 override_dh_missing:
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vupstream:currentVersion=$(DEB_VERSION_UPSTREAM) -Vupstream:nextVersion=$(NEXTVERSION)

## slurm-wlm-contrib 25.11.2

=== debian/changelog ===
slurm-wlm-contrib (25.11.2-2) unstable; urgency=medium

  * Source upload for testing
  * Bump standard version to 4.7.3 (no changes)
  * Remove GTK2 dependency (Closes: #1124942)

 -- Gennaro Oliva <oliva@debian.org>  Wed, 04 Feb 2026 15:18:14 +0100

slurm-wlm-contrib (25.11.2-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Sun, 23 Nov 2025 21:31:01 +0100

slurm-wlm-contrib (25.05.4-2) unstable; urgency=medium

  * Align version with the free release

 -- Gennaro Oliva <oliva@debian.org>  Sat, 22 Nov 2025 01:28:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper (>= 13),
  debhelper-compat (= 13),
+ libglib2.0-dev,
  libmunge-dev,
  libncurses-dev,
  po-debconf,
  python3,
- libgtk2.0-dev,
  default-libmysqlclient-dev,
  libpam0g-dev,
  libperl-dev,
@@ -36,7 +36,7 @@
  librocm-smi-dev,
  libnvidia-ml-dev,
  bc,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 MINOR=$(lastword $(subst ., ,$(DEB_VERSION_UPSTREAM)))
 NEXTMINOR=$(shell echo $(MINOR)+1| bc)
 NEXTVERSION=$(patsubst %$(MINOR),%$(NEXTMINOR),$(DEB_VERSION_UPSTREAM))
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
